Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84121 - Sound stalls and kernel reports: i810_audio: drain_dac, dma timeout?
Summary: Sound stalls and kernel reports: i810_audio: drain_dac, dma timeout?
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-12 15:15 UTC by Richard Torkar
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-22 09:48:35 UTC


Attachments (Terms of Use)

Description Richard Torkar 2003-02-12 15:15:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021212

Description of problem:
Whenever I run xine, xmms, mplayer or something that uses the sound system
extensively the sound stalls, and sooner or later the application hangs.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Start xmms and play an ogg for a while.
    

Actual Results:  xmms stopped playing the song and hangs.

Expected Results:  Xmms should not hang...

Additional info:

/var/log/message:
Feb 12 15:43:44 torkar kernel: i810_audio: drain_dac, dma timeout?

lspci:
00:00.0 Host bridge: Intel Corp. 82845G/GL [Brookdale-G] Chipset Host Bridge
(rev 02)
00:01.0 PCI bridge: Intel Corp. 82845G/GL [Brookdale-G] Chipset AGP Bridge (rev 02)
00:1d.0 USB Controller: Intel Corp. 82801DB USB (Hub #1) (rev 02)
00:1d.1 USB Controller: Intel Corp. 82801DB USB (Hub #2) (rev 02)
00:1d.2 USB Controller: Intel Corp. 82801DB USB (Hub #3) (rev 02)
00:1d.7 USB Controller: Intel Corp. 82801DB USB EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corp. 82801BA/CA/DB PCI Bridge (rev 82)
00:1f.0 ISA bridge: Intel Corp. 82801DB ISA Bridge (LPC) (rev 02)
00:1f.1 IDE interface: Intel Corp. 82801DB ICH4 IDE (rev 02)
00:1f.3 SMBus: Intel Corp. 82801DB SMBus (rev 02)
00:1f.5 Multimedia audio controller: Intel Corp. 82801DB AC'97 Audio (rev 02)
01:00.0 VGA compatible controller: nVidia Corporation NV17 [GeForce4 MX440] (rev a3)
02:01.0 SCSI storage controller: Adaptec AHA-2940UW Pro / AIC-788x (rev 01)
02:02.0 PCI bridge: Intel Corp. 21152 PCI-to-PCI Bridge
02:08.0 Ethernet controller: Intel Corp. 82801BD PRO/100 VE (CNR) Ethernet
Controller (rev 82)
03:00.0 Network controller: Harris Semiconductor Prism 2.5 Wavelan chipset (rev 01)

cat /proc/interrupts:
           CPU0
  0:   13993744          XT-PIC  timer
  1:       6130          XT-PIC  keyboard
  2:          0          XT-PIC  cascade
  5:       1278          XT-PIC  ehci-hcd, eth0
  6:          0          XT-PIC  usb-uhci, usb-uhci
  8:          1          XT-PIC  rtc
  9:      82705          XT-PIC  usb-uhci, wlan0
 11:      10059          XT-PIC  aic7xxx, Intel ICH4
 14:      33940          XT-PIC  ide0
 15:         39          XT-PIC  ide1
NMI:          0
ERR:          0

cat /proc/dma:
 4: cascade

cat /proc/iomem:
[root@/proc]# cat iomem
00000000-0009fbff : System RAM
0009fc00-0009ffff : reserved
000a0000-000bffff : Video RAM area
000c0000-000c7fff : Video ROM
000d0000-000d7fff : Extension ROM
000d8000-000d87ff : Extension ROM
000f0000-000fffff : System ROM
00100000-1ffeffff : System RAM
  00100000-00248cfa : Kernel code
  00248cfb-00340883 : Kernel data
1fff0000-1fff2fff : ACPI Non-volatile Storage
1fff3000-1fffffff : ACPI Tables
20000000-200003ff : Intel Corp. 82801DB IDE U100
c0000000-c7ffffff : PCI device 8086:2560 (Intel Corp.)
c8000000-d7ffffff : PCI Bus #01
  c8000000-cfffffff : nVidia Corporation NV1x
  d0000000-d007ffff : nVidia Corporation NV1x
d8000000-d9ffffff : PCI Bus #01
  d8000000-d8ffffff : nVidia Corporation NV1x
db000000-db000fff : Adaptec AHA-2940UW Pro / AIC-788x
  db000000-db000fff : aic7xxx
db001000-db001fff : PCI device 8086:103a (Intel Corp.)
  db001000-db001fff : eepro100
dc000000-dc0fffff : PCI Bus #03
  dc000000-dc000fff : PCI device 1260:3873 (Harris Semiconductor)
    dc000000-dc000fff : Prism2
dc100000-dc1003ff : Intel Corp. 82801DB USB EHCI Controller
  dc100000-dc1003ff : ehci-hcd
dc101000-dc1011ff : Intel Corp. 82801DB AC'97 Audio
dc102000-dc1020ff : Intel Corp. 82801DB AC'97 Audio
fec00000-ffffffff : reserved

rpm -q kernel:
kernel-2.4.18-24.8.0

cat proc/ioports:
0000-001f : dma1
0020-003f : pic1
0040-005f : timer
0060-006f : keyboard
0070-007f : rtc
0080-008f : dma page reg
00a0-00bf : pic2
00c0-00df : dma2
00f0-00ff : fpu
0170-0177 : ide1
01f0-01f7 : ide0
0290-0297 : it87
02f8-02ff : serial(auto)
0376-0376 : ide1
03c0-03df : vga+
03f6-03f6 : ide0
03f8-03ff : serial(auto)
0cf8-0cff : PCI conf1
5000-501f : Intel Corp. 82801DB SMBus
c000-c0ff : Adaptec AHA-2940UW Pro / AIC-788x
c400-c43f : PCI device 8086:103a (Intel Corp.)
  c400-c43f : eepro100
d000-d01f : Intel Corp. 82801DB USB (Hub #2)
  d000-d01f : usb-uhci
d400-d41f : Intel Corp. 82801DB USB (Hub #3)
  d400-d41f : usb-uhci
d800-d81f : Intel Corp. 82801DB USB (Hub #1)
  d800-d81f : usb-uhci
e000-e0ff : Intel Corp. 82801DB AC'97 Audio
  e000-e0ff : Intel ICH4
e400-e43f : Intel Corp. 82801DB AC'97 Audio
  e400-e43f : Intel ICH4
f000-f00f : Intel Corp. 82801DB IDE U100
  f000-f007 : ide0
  f008-f00f : ide1

Comment 1 Richard Torkar 2003-02-12 15:16:49 UTC
/sbin/lsmod:
Module                  Size  Used by    Not tainted
nls_iso8859-1           3516   0 (autoclean)
sr_mod                 18168   0 (autoclean)
cdrom                  33696   0 (autoclean) [sr_mod]
i810_audio             25224   0 (autoclean)
ac97_codec             13416   0 (autoclean) [i810_audio]
soundcore               6532   2 (autoclean) [i810_audio]
autofs                 13348   0 (autoclean) (unused)
it87                    8964   0 (unused)
i2c-proc                9168   0 [it87]
i2c-isa                 1896   0 (unused)
i2c-core               19268   0 [it87 i2c-proc i2c-isa]
ipt_ttl                 1144   1 (autoclean)
ipt_unclean             7736   3 (autoclean)
ipt_TCPMSS              3032   1 (autoclean)
ip_nat_irc              3504   0 (unused)
ip_nat_ftp              4240   0 (unused)
ipt_limit               1560  35 (autoclean)
ipt_state               1080   7 (autoclean)
iptable_mangle          2776   0 (unused)
ipt_LOG                 4184   1
ipt_MASQUERADE          2200   1
ipt_TOS                 1656   0 (unused)
ipt_REDIRECT            1368   0 (unused)
iptable_nat            19960   3 [ip_nat_irc ip_nat_ftp ipt_MASQUERADE ipt_REDIRECT]
ipt_REJECT              3736   0 (unused)
ip_conntrack_irc        3520   0 (unused)
ip_conntrack_ftp        5088   0 (unused)
ip_conntrack           21244   4 [ip_nat_irc ip_nat_ftp ipt_state ipt_MASQUERADE
ipt_REDIRECT iptable_nat ip_conntrack_irc ip_conntrack_ftp]
eepro100               22264   1
iptable_filter          2412   1 (autoclean)
ip_tables              15224  15 [ipt_ttl ipt_unclean ipt_TCPMSS ipt_limit
ipt_state iptable_mangle ipt_LOG ipt_MASQUERADE ipt_TOS ipt_REDIRECT iptable_nat
ipt_REJECT iptable_filter]
prism2_pci             72528   1 (autoclean)
p80211                 22924   1 [prism2_pci]
mousedev                5524   1
keybdev                 2976   0 (unused)
hid                    22244   0 (unused)
input                   5920   0 [mousedev keybdev hid]
usb-uhci               26188   0 (unused)
ehci-hcd               17480   0 (unused)
usbcore                77024   1 [hid usb-uhci ehci-hcd]
ext3                   70336   3
jbd                    52212   3 [ext3]
aic7xxx               137140   0
sd_mod                 13552   0 (unused)
scsi_mod              107176   3 [sr_mod aic7xxx sd_mod]


cat /etc/modules.conf:
alias parport_lowlevel parport_pc
alias scsi_hostadapter aic7xxx
alias usb-controller ehci-hcd

alias sound-slot-0 i810_audio
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&1
|| :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null 2>&1 || :

alias usb-controller1 usb-uhci
alias char-major-89 i2c-dev
alias eth0 eepro100
alias wlan0 prism2_pci
alias sound-service-0-3 off
alias block-major-2 off
alias block-major-33 off
alias char-major-13-0 off
alias sound-slot-1 off
alias sound-service-1-0 off
alias sound-service-1-3 off

Comment 2 Richard Torkar 2003-02-12 17:45:14 UTC
Installed kernel-2.4.20-2.41 from rawhide (i686) and the problem magically went
away.


Comment 3 Richard Torkar 2003-02-22 09:48:35 UTC
Fixed in Phoebe-3


Note You need to log in before you can comment on or make changes to this bug.